aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/ansible.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-07-10 13:59:50 +0200
committerPeter Mikus <pmikus@cisco.com>2019-07-10 14:23:48 +0000
commit36d56bdb7f9f394047e2df3f29bf47db877b649c (patch)
treede01e08334759f2f41b30dabcbd179b94015b0e0 /resources/libraries/bash/function/ansible.sh
parente45404bf7b8cbdb10adf85815c2e005134e463ad (diff)
Bash functions style cleanup
+ Update rst documentation for bash style + Command substitution: + Clarify when to use backticks. + Recommend avoiding nested command substitution. + Do not recommend putting command substitution results into quotes. + Function definition content: + Move "set -exuo pipefail" after comment only blocks. + Other set flags allowed for functions with good reasons. + Apply the new recommendations. - Blank lines unified in code but no written recommendation in rst. + Add missing references to functions called, variables read or set. + Add TODOs to where lists would be long. + Minor improvements to function descriptions. + Make "if" expressions more python-like. + Add missing "|| die" (or "|| true") where spotted. + Downgrade DEFAULT_NIC to a local variable. + Add TODO to list reasons for blacklisted tags. Change-Id: I05dce030a8c2cb1b3a242d8b977e8fe150d8ee20 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/function/ansible.sh')
-rw-r--r--resources/libraries/bash/function/ansible.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/resources/libraries/bash/function/ansible.sh b/resources/libraries/bash/function/ansible.sh
index 663861e8d8..5bf122e4b0 100644
--- a/resources/libraries/bash/function/ansible.sh
+++ b/resources/libraries/bash/function/ansible.sh
@@ -17,6 +17,7 @@ set -exuo pipefail
function ansible_hosts () {
+
# Run ansible playbook on hosts in working topology file. Ansible scope is
# determined by tags passed as parameters to this function.
#
@@ -51,15 +52,15 @@ function ansible_hosts () {
function installed () {
- set -exuo pipefail
-
# Check if the given utility is installed. Fail if not installed.
#
# Arguments:
# - ${1} - Utility to check.
- # Returns:
+ # Returns (implicitly):
# - 0 - If command is installed.
# - 1 - If command is not installed.
+ set -exuo pipefail
+
command -v "${1}"
-} \ No newline at end of file
+}